{ pkgs, config, lib, ... }: {

  services.xserver = {
    enable = true;
    desktopManager = {
      xterm.enable = false;
      xfce.enable = true;
    };
    displayManager = {
      defaultSession = "xfce";
      sddm = {
        enable = true;
        autoLogin = {
          enable = true;
          relogin = true;
          user = config.users.users.mainUser.name;
        };
      };
      sessionCommands = ''
        ${pkgs.mumble}/bin/mumble &
        ${pkgs.vlc}/bin/vlc &
        ${pkgs.pavucontrol}/bin/pavucontrol &
      '';
    };

    # mouse/touchpad
    # --------------
    libinput = {
      enable = true;
      disableWhileTyping = true;
      tapping = true;
      scrollMethod = "twofinger";
      accelSpeed = "2";
    };

  };

  users.users.mainUser = {
    isNormalUser = true;
    name = "translator";
    uid = 1001;
    initialPassword = "translate";
  };

  # Packages
  # --------
  environment.systemPackages = with pkgs; [ flameshot pavucontrol mumble vlc ];

}
