{ config, lib, ... }:
let
  backupFolder = "~/desktop/browser-images";
  homeFolder = "/browsers";
in
{
  config = lib.mkIf config.components.gui.enable {
    programs.custom.browser = {
      enable = lib.mkDefault true;
      configList = {
        development = {
          home = "${homeFolder}/development-browser";
          homeBackup = "${backupFolder}/development-browser";
          gpu = false;
        };
        google = {
          home = "${homeFolder}/google-browser";
          homeBackup = "${backupFolder}/google-browser";
          gpu = true;
        };
        finance = {
          home = "${homeFolder}/finance-browser";
          homeBackup = "${backupFolder}/finance-browser";
          gpu = false;
        };
        facebook = {
          home = "${homeFolder}/facebook-browser";
          homeBackup = "${backupFolder}/facebook-browser";
          gpu = false;
        };
        shopping = {
          home = "${homeFolder}/shopping-browser";
          homeBackup = "${backupFolder}/shopping-browser";
          gpu = false;
        };
        jobrad = {
          browserType = "firefox";
          home = "${homeFolder}/jobrad";
          homeBackup = "${backupFolder}/jobrad-browser";
          gpu = false;
        };
        jobrad-chrome = {
          browserType = "chrome";
          home = "${homeFolder}/jobrad-chrome";
          homeBackup = "${backupFolder}/jobrad-chrome";
          gpu = false;
        };
        firefox-tmp = {
          browserType = "firefox";
          home = "${homeFolder}/firefox-tmp";
          homeBackup = "${backupFolder}/firefox-tmp-browser";
          gpu = false;
        };
        chromium-tmp = {
          browserType = "chrome";
          home = "${homeFolder}/chromium-tmp";
          homeBackup = "${backupFolder}/chrome-tmp-browser";
          gpu = false;
        };
        google-tmp = {
          browserType = "google";
          home = "${homeFolder}/google-tmp";
          homeBackup = "${backupFolder}google-tmp-browser";
          gpu = false;
        };

      };
    };
  };
}
