{ config, pkgs, lib, ... }: {

  config = lib.mkIf config.components.gui.enable {
    home-manager.users.mainUser = {
      programs.doom-emacs = {
        enable = lib.mkDefault true;
        doomPrivateDir = ../../../../doom.d;
        extraConfig = ''
          ;; "monospace" means use the system default. However, the default is usually two
          ;; points larger than I'd like, so I specify size 12 here.
          (setq doom-font
            (font-spec :family "Jetbrains Mono" :size ${toString config.programs.custom.urxvt.fontSize} :weight 'light))
          ;(setq doom-font
          ;  (font-spec :family "Terminus" :size ${toString config.programs.custom.urxvt.fontSize} :weight 'light))
        '';

        emacsPackagesOverlay = self: super: {
          # fixes https://github.com/vlaci/nix-doom-emacs/issues/394
          gitignore-mode = pkgs.emacsPackages.git-modes;
          gitconfig-mode = pkgs.emacsPackages.git-modes;
        };
      };
    };
    environment.systemPackages = [
      pkgs.ripgrep
    ];
  };
}
