{ pkgs, config, lib, ... }:
with lib;
{
  options.components.gui.style.enable = mkOption {
    type = lib.types.bool;
    default = config.components.gui.enable;
  };

  config = mkIf (config.components.gui.style.enable) {

    stylix.base16Scheme = "${pkgs.base16-schemes}/share/themes/gruvbox-light-medium.yaml";

    stylix.fonts = {
      serif = config.stylix.fonts.monospace;
      sansSerif = config.stylix.fonts.monospace;
      monospace = {
        package = pkgs.jetbrains-mono;
        name = "JetBrains Mono";
      };
      emoji = {
        package = pkgs.noto-fonts-emoji;
        name = "Noto Color Emoji";
      };
    };

    fonts.fonts = with pkgs; [

      corefonts
      hasklig
      inconsolata
      source-code-pro
      symbola
      ubuntu_font_family

      # symbol fonts
      # ------------
      nerdfonts
      powerline-fonts
      font-awesome
      fira-code-symbols
      jetbrains-mono

      # shell font
      # ----------
      terminus_font
      gohufont

    ];

  };
}
