{ config, pkgs, lib, ... }:
with lib;
{
  options.components.terminal.git.enable = mkOption {
    type = lib.types.bool;
    default = config.components.terminal.enable;
  };

  config = mkIf (config.components.terminal.git.enable) {


    environment.systemPackages = with pkgs; [
      git
      gita
      tig
      lazygit
      git-crypt
      gitAndTools.gitflow
      gitAndTools.gitSVN
      gitAndTools.git2cl

      # merge tools
      meld

      # activate using :
      # git config --global core.pager "diff-so-fancy | less --tabs=4 -RFX"
      gitAndTools.diff-so-fancy
    ];
  };
}

