{ pkgs, config, lib, ... }:
with lib;
{
  options.components.terminal.oh-my-posh.enable = mkOption {
    type = lib.types.bool;
    default = config.components.terminal.enable;
  };

  config = mkIf (config.components.terminal.oh-my-posh.enable) {

    home-manager.users =
      let
        poshConfig = {
          programs.oh-my-posh = {
            enable = true;
            # useTheme = "gruvbox";
            settings = builtins.fromJSON (builtins.readFile ./gruvbox.json);
          };
        };
      in
      {
        mainUser = poshConfig;
        root = poshConfig;
      };
  };
}
