{ config, lib, pkgs, ... }:
{

  virtualisation.oci-containers = {
    containers.homeassistant = {
      volumes = [ "/srv/home-assistant:/config" ];
      environment.TZ = "Europe/Berlin";
      image = "ghcr.io/home-assistant/home-assistant:stable"; # Warning: if the tag does not change, the image will not be updated
      extraOptions = [ "--network=host" ];
    };
  };

  networking.firewall.allowedTCPPorts = [ 8123 ];
  networking.firewall.allowedUDPPorts = [ 8123 ];

  networking.firewall.interfaces.wg0.allowedTCPPorts = [ 8123 ];
  networking.firewall.interfaces.wg0.allowedUDPPorts = [ 8123 ];

}
