{ config, pkgs, lib, ... }: {

  services.syncthing = {
    enable = true;
    overrideFolders = true;
    folders = {
      # on encrypted drive
      # ------------------
      art = {
        enable = true;
        path = "/syncthing/art";
      };
      private = {
        enable = true;
        path = "/syncthing/private";
      };
      password-store = {
        enable = true;
        path = "/syncthing/password-store";
      };
      desktop = {
        enable = true;
        path = "/syncthing/desktop";
      };
      finance = {
        enable = true;
        path = "/syncthing/finance";
      };
      fotos = {
        enable = true;
        path = "/syncthing/fotos";
      };
      books = {
        enable = true;
        path = "/syncthing/books";
      };
      lost-fotos = {
        enable = true;
        path = "/syncthing/lost-fotos.ct";
      };
      music-projects = {
        enable = true;
        path = "/syncthing/music-projects";
      };
    };
  };

  services.permown."/syncthing" = {
    owner = "syncthing";
    group = "syncthing";
    directory-mode = "760";
    file-mode = "760";
  };

}
