{ config, pkgs, ... }:
{

  services.trilium-server = {
    enable = true;
    dataDir = "/srv/trilium";
    instanceName = config.networking.hostName;
    host = "10.23.42.28";
    #noAuthentication = true;
    nginx = {
      enable = true;
      hostName = "trilium.${config.networking.hostName}.private";
    };
  };

  services.nginx.virtualHosts."${config.services.trilium-server.nginx.hostName}".extraConfig = ''
    allow ${config.tinc.private.subnet};
    deny all;
  '';

}
