{ config, pkgs, lib, ... }: {

  imports = [

    ../../system/server
    ./hardware-configuration.nix

    ./mail-fetcher.nix
    ./packages.nix

    #./hass.nix
    #./zigbee2mqtt.nix

    #./kodi.nix
    ./syncthing.nix
    ./tinc.nix
    #./wifi-access-point.nix
    #./lan.nix
    #./dms.nix
    ./borg.nix
    #./mpd.nix
    ./grocy.nix
    ./taskwarrior-pushover.nix
    #./neo4j.nix
    #./jellyfin.nix
    #./wireguard.nix
    #./tts.nix

    # logging
    ./loki.nix
    ./loki-promtail.nix
    ./prometheus.nix
    ./grafana.nix
    ./telegraf.nix

    ./home-display.nix

    #./tdarr.nix

  ];

  sops.defaultSopsFile = ../../secrets/pepe.yaml;

  networking.hostName = "pepe";

  programs.custom. zsh.enable = true;
  users.users.root.shell = pkgs.zsh;

  # todo : rename to component.init.ssh
  configuration.init-ssh = {
    enable = "enabled";
    kernelModules = [ "e1000e" ];
  };

  # just enable lan
  networking.dhcpcd.allowInterfaces = [ "enp0s25" ];

  # nix-shell -p speedtest_cli --run speedtest
  #configuration.fireqos = {
  #  enable = false;
  #  interface = "enp0s25";
  #  input = 200000;
  #  output = 2000;
  #  balance = false;
  #};

  services.printing.enable = false;
  services.smartd.enable = true;

  # todo move to some place else
  home-manager.users.mailUser.home.stateVersion = "22.11";

}

