{ config, lib, pkgs, ... }:

{
  sops.secrets.autotagTaskwarriorCa = {
    owner = "taskwarrior-autotag";
    key = "taskwarriorCa";
  };
  sops.secrets.autotagTaskwarriorCertificate = {
    owner = "taskwarrior-autotag";
    key = "taskwarriorCertificate";
  };
  sops.secrets.autotagTaskwarriorKey = {
    owner = "taskwarrior-autotag";
    key = "taskwarriorKey";
  };

  services.taskwarrior-autotag = {
    enable = true;
    recurrence = "off";
    onCalendar = "hourly";
    server = "taskd.ingolf-wagner.de:53589";
    caFile = config.sops.secrets.autotagTaskwarriorCa.path;
    certificateFile = config.sops.secrets.autotagTaskwarriorCertificate.path;
    keyFile = config.sops.secrets.autotagTaskwarriorKey.path;
    credentials = "1337/palo/ad40dce8-4b38-4011-b032-60a91b6f22cd";
  };

}
