{ config, lib, pkgs, ... }:
{

  services.nginx = {
    enable = true;
    statusPage = true;
    virtualHosts = {
      "git.ingolf-wagner.de" = {
        forceSSL = true;
        enableACME = true;
        locations."/" = {
          proxyPass = "http://localhost:${toString config.services.gogs.httpPort}";
        };
      };
    };
  };

  services.gitea = {
    enable = true;
    appName = "git.ingolf-wagner.de";
    #cookieSecure = true;
    #disableRegistration = true;
    domain = "git.ingolf-wagner.de";
    rootUrl = "https://git.ingolf-wagner.de/";
    settings = {
      service.DISABLE_REGISTRATION = true;
      session.COOKIE_SECURE = true;
      log.LEVEL = "Warn";
      other = {
        SHOW_FOOTER_VERSION = false;
      };
    };
  };

  backup.dirs = [ "/var/lib/gitea" ];

}
