{ config, lib, pkgs, ... }: {

  services.taskserver = {
    enable = true;
    fqdn = "taskd.ingolf-wagner.de";
    listenHost = "0.0.0.0";
    requestLimit = 104857600;
    trust = "strict";
    dataDir = "/var/lib/taskserver";
    organisations."1337".users = [ "palo" "beta" ];
    ciphers = "SECURE256";
  };

  networking.firewall.allowedTCPPorts = [ config.services.taskserver.listenPort ];
  networking.firewall.allowedUDPPorts = [ config.services.taskserver.listenPort ];

  backup.dirs = [ config.services.taskserver.dataDir ];

}
