{ config, lib, pkgs, ... }:

with lib;
let
  cfg = config.system.custom.fonts;
in
{

  options.system.custom.fonts = {
    enable = mkEnableOption "enable fonts";
    size = mkOption {
      type = types.int;
      default = 17;
      description = ''
        size of the font
      '';
    };
  };

  # You can put your private ttf fonts into
  # in $XDG_DATA_HOME/fonts, which for most users will resolve to ~/.local/share/fonts
  # see https://nixos.wiki/wiki/Fonts
  config = mkIf cfg.enable {

    # only set this on x220 to 141, if resolution is shit.
    #services.xserver.dpi = cfg.dpi;

    fonts = {

      enableDefaultFonts = true;
      enableGhostscriptFonts = true;
      fontDir.enable = true;

      # todo brauch ich überhaupt die urxvt und xterm configurationen?
      #fontconfig = {
      #  subpixel = {
      #    lcdfilter = "default";
      #    rgba = "rgb";
      #  };
      #  hinting = {
      #    enable = true;
      #    autohint = false;
      #  };
      #  enable = true;
      #  antialias = true;
      #  defaultFonts = { monospace = [ "JetBrains Mono" ]; };
      #};

      # fonts = with pkgs; [
      #   corefonts
      #   hasklig
      #   inconsolata
      #   source-code-pro
      #   symbola
      #   ubuntu_font_family
      #   # symbol fonts
      #   # ------------
      #   nerdfonts
      #   powerline-fonts
      #   font-awesome
      #   fira-code-symbols
      #   jetbrains-mono
      #   # shell font
      #   # ----------
      #   terminus_font
      #   gohufont
      # ];

    };

  };

}

