{ rustPlatform, fetchgit, lib, mosquitto, cmake, openssl, ... }:

rustPlatform.buildRustPackage rec {
  name = "light-${version}";
  version = "2.1.0";
  src = fetchgit {
    url = "https://git.ingolf-wagner.de/palo/light-control.git";
    rev = "6cce678572815aac8d6f78be2ee5177f07e133bd";
    sha256 = "1bnxvgaa58hga20ywgk728aj4wll2rhxgrdp477d2d8isifvij4v";
  };

  cargoSha256 = "1hhgk3mpmd143d3kfhxsaz2y5aksnwiz1bh4396hh0j7j4kqbgrw";
  #cargoSha256 = "05mm82hdbs36p6mr4qdpip16phg28r44lbni09x48qni81dbw3wx";
  #verifyCargoDeps = true;

  nativeBuildInputs = [ cmake ];
  buildInputs = [ mosquitto openssl ];

  meta = with lib; {
    description = "light control over mqtt, with scenes and room tracking";
    homepage = "https://github.com/mrVanDalo/light-control";
    license = licenses.gpl3;
    maintainers = [ maintainers.mrVanDalo ];
    platforms = platforms.all;
  };
}
