A setup to test tinc on a hetzner box

# steps

## OPTIONAL: generate fresh ssh keys

```sh
ssh-keygen -P "" -f sshkey
```

## OPTIONAL: generate new tinc keys

```
nix-shell -p tinc_pre --run "tinc --config . generate-keys 4096"
cat *.pub host_file
rm *.pub
```

## generate machine

```sh
cd ./01-terranix
nix-shell --run "create"
```

## provision machine

```sh
cd ./02-build
nix-shell --run deploy-server
```

## tracking and collecting

```
dumpcap \
  -i ens3 \
  -w /root/hardware-device_working.dcap
dumpcap \
  -i tinc.test \
  -w /root/tinc-device_working.dcap
```

and for the not working experiment

```
dumpcap \
  -i ens3 \
  -w /root/hardware-device_not-working.dcap
dumpcap \
  -i tinc.test \
  -w /root/tinc-device_not-working.dcap
```

logs

```
systemctl --from "2020-01-04 15:00" --until "2020-01-04 16:00" -o json > working-logs.json
systemctl --from "2020-01-04 17:00" --until "2020-01-04 18:00" -o json > nog-working-logs.json
```

and setup

```
tar cvzf etc.tgz /etc/tinc
```

## cleanup

```sh
cd ./01-terranix
nix-shell --run "clean"
```
