{ config, lib, pkgs, ... }: {

  services.nginx.enable = true;
  services.nginx.virtualHosts.codimd = {
    enableACME = true;
    addSSL = true;
    serverName = "codimd.${config.workadventure.domain}";
    locations."/".extraConfig = ''
      client_max_body_size 4G;
      proxy_set_header Host $host;
      proxy_pass http://localhost:3091;
    '';
  };

  services.codimd = {
    enable = true;
    configuration = {
      allowFreeURL = true;
      db = {
        dialect = "sqlite";
        storage = "/var/lib/codimd/db.codimd.sqlite";
        useCDN = false;
      };
      port = 3091;
    };
  };

}

